Subject: Re: Separate default push/pull?

From: David Abrahams <[email-masked]>
Date: Thu, 11 Feb 2010 21:32:37 -0500

At Thu, 11 Feb 2010 16:49:26 -0800,
Junio C Hamano wrote:
> 
> Jeff King <[email-masked]> writes:
> 
> > I think what he would need is a "push.defaultRemote" config option,
> > which universally overrides branch.*.remote for pushing.
> 
> Or "branch.*.pushremote".
> 
> But does it really make sense to get changes from one place and send
> changes to somewhere completely unrelated?

It's not unrelated; it's a publicly-readable clone of the source repo
to which I have write permission.  After pushing changes there I send
a pull request to the owner of the source repo.

-- 
Dave Abrahams           Meet me at BoostCon: http://www.boostcon.com
BoostPro Computing
http://www.boostpro.com